
textures/c_spray/grate
{
	qer_editorimage textures/c_spray/grate.tga
       	surfaceparm metalsteps
	surfaceparm alphashadow
        surfaceparm nomarks  
	cull disable     
	{
		map textures/c_spray/grate.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
                  
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/c_spray/grate2
{
	nopicmip
	nomipmaps
	{
		map textures/c_spray/grate2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/c_spray/teleglow01
{
	qer_editorimage textures/c_spray/teleglow01
	deformVertexes autosprite
     	surfaceparm	trans
     	nomipmaps

	{
		clampmap textures/c_spray/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap textures/c_spray/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .5 1.5
	}
}


textures/c_spray/teleglow02
{
	qer_editorimage textures/c_spray/teleglow02
	deformVertexes autosprite
	surfaceparm	trans
     	nomipmaps


	{
		clampmap textures/c_spray/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0 1.5
		tcMod rotate 60
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
	{
		clampmap textures/c_spray/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.20
		tcMod rotate -20
		rgbGen wave sawtooth .75 .5 .1 1.20
	}
}

textures/alpha/alpha_ice2s
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
                map textures/alpha/alpha_ice2s.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/c_industrial/light
{
	qer_editorimage textures/c_industrial/light.tga
	q3map_lightimage textures/c_industrial/light_blend.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen wave noise 0.75 0.25 0 10
	}
	{
		map textures/c_industrial/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/c_industrial/light_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.25 0 10
	}
}
textures/c_industrial/light2
{
	qer_editorimage textures/c_industrial/light2.tga
	q3map_lightimage textures/c_industrial/light2_blend.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen wave noise 0.75 0.25 0 10
	}
	{
		map textures/c_industrial/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/c_industrial/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.25 0 10
	}
}
textures/c_spray/bigrock
{   
 
        qer_editorimage textures/c_spray/bigrock.tga
	q3map_nonplanar  
     	q3map_shadeangle 90 
	{
                map textures/effects/tinfx2d.tga       
                tcGen environment
                rgbGen identity
		tcMod scale 1.5 1.5
	}   
	{
		map textures/c_spray/bigrock.tga
		blendfunc gl_one gl_src_color
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/c_spray/ice
{
	qer_editorimage textures/c_spray/ice.tga
	surfaceparm slick
	surfaceparm noob
	{
		map textures/effects/tinfx2d.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/c_spray/ice.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/c_spray/particles
{
	qer_alphafunc greater 0.5
	qer_trans 0.99
	qer_editorimage textures/c_spray/particles.jpg
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	cull none
	deformVertexes bulge 128 1 2	
	{
		map textures/c_spray/particles.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 .04
	}
}
